Subject: [PATCH] KVM: arm/arm64: prefer IS_ENABLED to a static variable

From: [email-masked] (Christoffer Dall)
Date: Wed, 11 Mar 2015 15:20:24 +0100

On Thu, Mar 05, 2015 at 12:26:06PM +0100, Paolo Bonzini wrote:
> IS_ENABLED gives compile-time checking and keeps the code clearer.
> 
> The one exception is inside kvm_vm_ioctl_check_extension, where
> the established idiom is to wrap the case labels with an #ifdef.
> 
> Signed-off-by: Paolo Bonzini <[email-masked]>

Thanks, I've applied this to my queue with a follow-up to remove config
options all together just like we have it on arm64.

I'll send out that patch based on yours and I've applied Eric's IRQFD
series on top of that.

Best,
-Christoffer